GNU bug report logs - #50521
[PATCH core-updates-frozen] gnu: gtk+-2: Fix ‘builder’ test

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Thiago Jung Bauermann <bauermann@HIDDEN>; Keywords: patch; dated Sat, 11 Sep 2021 17:08:01 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Added indication that bug 50521 blocks50358 Request was from Thiago Jung Bauermann <bauermann@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 50521 <at> debbugs.gnu.org:


Received: (at 50521) by debbugs.gnu.org; 12 Sep 2021 21:46:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 12 17:46:19 2021
Received: from localhost ([127.0.0.1]:43628 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mPXIp-0004IV-49
	for submit <at> debbugs.gnu.org; Sun, 12 Sep 2021 17:46:19 -0400
Received: from mx.kolabnow.com ([95.128.36.40]:8140
 helo=ext-mx-out003.mykolab.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bauermann@HIDDEN>) id 1mPXIm-0004IG-Q3
 for 50521 <at> debbugs.gnu.org; Sun, 12 Sep 2021 17:46:18 -0400
Received: from localhost (unknown [127.0.0.1])
 by ext-mx-out003.mykolab.com (Postfix) with ESMTP id 34C0A408FC;
 Sun, 12 Sep 2021 23:46:10 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=kolabnow.com; h=
 content-type:content-type:content-transfer-encoding:mime-version
 :references:in-reply-to:message-id:date:date:subject:subject
 :from:from:received:received:received; s=dkim20160331; t=
 1631483169; x=1633297570; bh=3HbmAucLjEAfu/4BJ/freaEe0xQ4ZmjrJ55
 29gO6RTU=; b=AogqYP3ulavtzDfd+lgCzrun2Q64r8pxwihdqKlWdIhv6hkUcf7
 3oWjkrV5AHbvWuI3PqSSUkymdtSfvsI0hKqYDu9gb0+kE8onILtokx/hfVtBZrua
 5RBhz8cphP22p+ATvBxrZU8CF31pv19GoVkAEfvyqmbqAOZ4T5E6NcX630nvYQjc
 Y8RfW+69lCmcwuwbOc2omNvrAeQce0H9DB7046d3FvflilhA5wW9bFmBGIZ9qs1N
 X4YMEONd6QcDOYmMkWRyB73TIFFSN95aEmpEcLm0qttYwfHqBl/PCNLs0CStR+c0
 Deber9N9RSe8ww6lllffXuF6EcpuTTSkw8qfGumA4F+WSJfsLxgiMwzzItou99pn
 0UhNmQO9rl5Qoc3zSmiWFb7fVciA4cqICisco4YXco6Q0LxWj3sicWqsk3auA9sa
 H6wRHhAl72BDFpHdAuLkoodBc9Fnt5nmwlFcm+ziCjVBBiMvxroJkYCZPxONXafZ
 R+FExedoA0jlE1q0TaXLEctXy/YLCzg5brzmF7twm9vad8CbgyuPTpwqrbUkzHEu
 2smWVwX+xVRKD7s2UBL7WM3727WECrRzUaYNEhV/MxLR2S8BaAOeVvvJvoyYesqm
 jrWDuS3bV8a2Ve3XBb4EjQPP+XJ2ghOA4ae9TDiPMS4iwLv7L9PgkH0A=
X-Virus-Scanned: amavisd-new at mykolab.com
X-Spam-Flag: NO
X-Spam-Score: -1.9
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 tagged_above=-10 required=5
 tests=[BAYES_00=-1.9] autolearn=ham autolearn_force=no
Received: from ext-mx-out003.mykolab.com ([127.0.0.1])
 by localhost (ext-mx-out003.mykolab.com [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id y0Vp_acKs5Qq; Sun, 12 Sep 2021 23:46:09 +0200 (CEST)
Received: from int-mx001.mykolab.com (unknown [10.9.13.1])
 by ext-mx-out003.mykolab.com (Postfix) with ESMTPS id E9B7A4032C;
 Sun, 12 Sep 2021 23:46:09 +0200 (CEST)
Received: from ext-subm001.mykolab.com (unknown [10.9.6.1])
 by int-mx001.mykolab.com (Postfix) with ESMTPS id BEBB5594;
 Sun, 12 Sep 2021 23:46:09 +0200 (CEST)
From: Thiago Jung Bauermann <bauermann@HIDDEN>
To: Guillaume Le Vaillant <glv@HIDDEN>
Subject: Re: [bug#50521] [PATCH core-updates-frozen] gnu: gtk+-2: Fix
 =?UTF-8?B?4oCYYnVpbGRlcuKAmQ==?= test
Date: Sun, 12 Sep 2021 18:46:01 -0300
Message-ID: <2077710.hxvdFu3pm0@popigai>
In-Reply-To: <87k0jmb4xd.fsf@kitej>
References: <20210911170732.137404-1-bauermann@HIDDEN>
 <87k0jmb4xd.fsf@kitej>
MIME-Version: 1.0
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 50521
Cc: 50521 <at> debbugs.gnu.org, Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello Guillaume,

Em domingo, 12 de setembro de 2021, =C3=A0s 04:52:03 -03, Guillaume Le Vail=
lant=20
escreveu:
> This patch rebuilds over 2900 packages, so maybe it could be pushed at
> the same time as #50174 (static gawk), #50239 (diffutils) and #50358
> (rust booststrap).
> WDYT?

Wow, that is true. I should have checked that, but it hadn=E2=80=99t occure=
d to me=20
that this end-of-life toolkit could have so many dependents. Thanks for=20
noticing.

=2D-=20
Thanks,
Thiago






Information forwarded to guix-patches@HIDDEN:
bug#50521; Package guix-patches. Full text available.

Message received at 50521 <at> debbugs.gnu.org:


Received: (at 50521) by debbugs.gnu.org; 12 Sep 2021 07:59:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 12 03:59:23 2021
Received: from localhost ([127.0.0.1]:41984 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mPKOZ-0004hO-Gc
	for submit <at> debbugs.gnu.org; Sun, 12 Sep 2021 03:59:23 -0400
Received: from mout01.posteo.de ([185.67.36.65]:35333)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <glv@HIDDEN>) id 1mPKOX-0004h8-1b
 for 50521 <at> debbugs.gnu.org; Sun, 12 Sep 2021 03:59:21 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id A591C240026
 for <50521 <at> debbugs.gnu.org>; Sun, 12 Sep 2021 09:59:14 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1631433554; bh=JA+1SsFC4zVD+xZNfp46wcel6QKOLwOGRO5bF0T+t7E=;
 h=From:To:Cc:Subject:Date:From;
 b=ThLn/Asxs53A3Sy46f5E0WgjKAB7d4Vo8o+kKpcvbwkhH2w0vV+hvIwXvQyotnUc+
 hDfcg0MRH29BlePFWYYwD8P5peBBV3ewH2OR2zs1UNX3hZD8BPHGEGo6h4PNXBCPSl
 tGT3KsbGf7VfUveJa8HjjxPRbwvxQCO+gmwMEsb8QDUa1JuxXeXgNduixgdQCdLXyu
 P0tmE0PF8BYOTdUqB0BvaNHH/AWZ3IITe3U+zLP2ObZc8IUzttLdLC9fnCP/GogBYq
 sYp6W57yxCNf7DjZ337VpRWZHUbMKwj8tJAiv4gUWx7bFM8q9iO0MPFkXovTF/HddW
 EsZU431hZ1jXg==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4H6hp856G8z9rxK;
 Sun, 12 Sep 2021 09:59:12 +0200 (CEST)
References: <20210911170732.137404-1-bauermann@HIDDEN>
From: Guillaume Le Vaillant <glv@HIDDEN>
To: Thiago Jung Bauermann <bauermann@HIDDEN>
Subject: Re: [bug#50521] [PATCH core-updates-frozen] gnu: gtk+-2: Fix
 =?utf-8?B?4oCYYnVpbGRlcuKAmQ==?= test
Date: Sun, 12 Sep 2021 07:52:03 +0000
In-reply-to: <20210911170732.137404-1-bauermann@HIDDEN>
Message-ID: <87k0jmb4xd.fsf@kitej>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50521
Cc: 50521 <at> debbugs.gnu.org, Maxim Cournoyer <maxim.cournoyer@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain

This patch rebuilds over 2900 packages, so maybe it could be pushed at
the same time as #50174 (static gawk), #50239 (diffutils) and #50358
(rust booststrap).
WDYT?

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIUEAREKAC0WIQTLxZxm7Ce5cXlAaz5r6CCK3yH+PwUCYT2zTg8cZ2x2QHBvc3Rl
by5uZXQACgkQa+ggit8h/j9q+gEApzAilbcroqZLtRa3rR+aiasMfV5dKXFo/aEV
QQPepWgA/RWqJiCtvB3s6yZAiWL2/XAApbpFWI2BcRIt+hGC7MSj
=HVHK
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#50521; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 11 Sep 2021 17:07:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 11 13:07:59 2021
Received: from localhost ([127.0.0.1]:41346 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mP6Tu-0007hn-RW
	for submit <at> debbugs.gnu.org; Sat, 11 Sep 2021 13:07:59 -0400
Received: from lists.gnu.org ([209.51.188.17]:40048)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bauermann@HIDDEN>) id 1mP6Tt-0007hf-9I
 for submit <at> debbugs.gnu.org; Sat, 11 Sep 2021 13:07:57 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:35164)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <bauermann@HIDDEN>)
 id 1mP6Ts-0007PN-UL
 for guix-patches@HIDDEN; Sat, 11 Sep 2021 13:07:57 -0400
Received: from mx.kolabnow.com ([95.128.36.42]:14096
 helo=ext-mx-out001.mykolab.com)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <bauermann@HIDDEN>)
 id 1mP6To-0002VW-Ue
 for guix-patches@HIDDEN; Sat, 11 Sep 2021 13:07:55 -0400
Received: from localhost (unknown [127.0.0.1])
 by ext-mx-out001.mykolab.com (Postfix) with ESMTP id AD9C3652
 for <guix-patches@HIDDEN>; Sat, 11 Sep 2021 19:07:49 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=kolabnow.com; h=
 content-transfer-encoding:content-type:content-type:mime-version
 :message-id:date:date:subject:subject:from:from:received
 :received:received; s=dkim20160331; t=1631380066; x=1633194467;
 bh=OtnRYUFuJirjoEep6JuMim4G6+UXUoMgiryQ4EPFIvo=; b=U6OS+P5IuWNQ
 hfWwKItQwVLbCD79B/5fn+WRqoraS/8D54hNzyfEzHcDoonWuq/3UBqN4hXvLY4U
 kUBphSf07lv4DJii/H426a92vBLGMLykr/0+kFsCoo99qJoNRzDnGSHPiSsllNoC
 aPy4phkhMzavVPHPJhIvPiln9hfWfQvc5a8XfnqVlAOHdq7Y5479+vKF/uqtPia9
 x2zv1K//+R44X1hUcnEhbMy9XPCrTfcDGMrWMlCA0WyoGcmTbKSOGoTgaRBPlb4e
 xq3ME9KO2Sgv0nEJPhX7+22cYa5zbcXNPt9ZLdgjBo0YFRXoY0CMYmVmXd5fYfNL
 URduEa89X/jJ7krB+VPdGdob9o8+oC7Nzmud+wedtvfvN6SuRuP8I3pWQXehFWSv
 xMcbwNRI31wTcJOen9mDS/pMCsENnm7OBkvwIGf4nbkIubMick1SyLJOaSFVdYW2
 zvBg6rtrl4Q8768amDRyDURQ5k938JTf7cauGsi3aWljZFUtPPXbrpit701DrRom
 tdXSnEAWf026vFf4Bz24zdrJ0xpkmntPcjqqYYyslDAP9qs5yEPumc5MJByc5g50
 FqIANhbQmq59x6PojTaICVySMXJWLhr7WGwHTU6QoZJ+6LxAKBUHdC4CA4Rg6k2f
 wxTZL0sa+NT3nJftBh25eC7I+XUmNwA=
X-Virus-Scanned: amavisd-new at mykolab.com
X-Spam-Flag: NO
X-Spam-Score: -1.9
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 tagged_above=-10 required=5
 tests=[BAYES_00=-1.9] autolearn=ham autolearn_force=no
Received: from ext-mx-out001.mykolab.com ([127.0.0.1])
 by localhost (ext-mx-out001.mykolab.com [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id C7gG9gWXhu3m for <guix-patches@HIDDEN>;
 Sat, 11 Sep 2021 19:07:46 +0200 (CEST)
Received: from int-mx001.mykolab.com (unknown [10.9.13.1])
 by ext-mx-out001.mykolab.com (Postfix) with ESMTPS id AF9B14D1
 for <guix-patches@HIDDEN>; Sat, 11 Sep 2021 19:07:46 +0200 (CEST)
Received: from ext-subm001.mykolab.com (unknown [10.9.6.1])
 by int-mx001.mykolab.com (Postfix) with ESMTPS id 6B7581F3;
 Sat, 11 Sep 2021 19:07:46 +0200 (CEST)
From: Thiago Jung Bauermann <bauermann@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH core-updates-frozen] =?UTF-8?q?gnu:=20gtk+-2:=20Fix=20?=
 =?UTF-8?q?=E2=80=98builder=E2=80=99=20test?=
Date: Sat, 11 Sep 2021 14:07:32 -0300
Message-Id: <20210911170732.137404-1-bauermann@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=95.128.36.42; envelope-from=bauermann@HIDDEN;
 helo=ext-mx-out001.mykolab.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: Thiago Jung Bauermann <bauermann@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

The signal callbacks in the ‘builder’ testcase have wrong prototypes.
This causes it to fail the “/Builder/Signal Autoconnect” test on
powerpc64le-linux.

Solve the problem by backporting the upstream fix that was applied to
GTK+ 3.0.

* gnu/packages/patches/gtk2-fix-builder-test.patch: New file.
* gnu/local.mk (dist_patch_DATA): Add it.
* gnu/packages/gtk.scm (gtk+-2): Use it.
---

Hello,

This fixes the build of gtk+-2 on powerpc64le-linux.

Thanks,
Thiago

 gnu/local.mk                                  |  1 +
 gnu/packages/gtk.scm                          |  3 +-
 .../patches/gtk2-fix-builder-test.patch       | 94 +++++++++++++++++++
 3 files changed, 97 insertions(+), 1 deletion(-)
 create mode 100644 gnu/packages/patches/gtk2-fix-builder-test.patch

diff --git a/gnu/local.mk b/gnu/local.mk
index 07e6787642e9..6d19a6332ba0 100644
--- a/gnu/local.mk
+++ b/gnu/local.mk
@@ -1205,6 +1205,7 @@ dist_patch_DATA =						\
   %D%/packages/patches/guile-emacs-fix-configure.patch		\
   %D%/packages/patches/guile-ssh-fix-test-suite.patch		\
   %D%/packages/patches/guile-ssh-read-error.patch		\
+  %D%/packages/patches/gtk2-fix-builder-test.patch		\
   %D%/packages/patches/gtk2-respect-GUIX_GTK2_PATH.patch	\
   %D%/packages/patches/gtk2-respect-GUIX_GTK2_IM_MODULE_FILE.patch \
   %D%/packages/patches/gtk2-theme-paths.patch			\
diff --git a/gnu/packages/gtk.scm b/gnu/packages/gtk.scm
index 24c24d56530f..c7a682b37548 100644
--- a/gnu/packages/gtk.scm
+++ b/gnu/packages/gtk.scm
@@ -847,7 +847,8 @@ is part of the GNOME accessibility project.")
                 "1nn6kks1zyvb5xikr9y2k7r9bwjy1g4b0m0s66532bclymbwfamc"))
               (patches (search-patches "gtk2-respect-GUIX_GTK2_PATH.patch"
                                        "gtk2-respect-GUIX_GTK2_IM_MODULE_FILE.patch"
-                                       "gtk2-theme-paths.patch"))))
+                                       "gtk2-theme-paths.patch"
+                                       "gtk2-fix-builder-test.patch"))))
     (build-system gnu-build-system)
     (outputs '("out" "bin" "doc"))
     (propagated-inputs
diff --git a/gnu/packages/patches/gtk2-fix-builder-test.patch b/gnu/packages/patches/gtk2-fix-builder-test.patch
new file mode 100644
index 000000000000..8c41e596fe95
--- /dev/null
+++ b/gnu/packages/patches/gtk2-fix-builder-test.patch
@@ -0,0 +1,94 @@
+From e45e11238036e06c8fe78bea1691b256ca41837b Mon Sep 17 00:00:00 2001
+From: Steve Langasek <steve.langasek@HIDDEN>
+Date: Tue, 7 Jan 2014 13:55:28 +0100
+Subject: [PATCH] fix prototypes of signal callbacks in the test suite
+
+The signal callbacks are defined to take pointers as their arguments, but the
+callbacks found in testsuite/gtk/builder.c are passing a GParamSpec by value
+as the second argument.  This confuses and angers the compiler on ppc64el,
+resulting in segfaults after return from the function due to stack-smashing
+by the (completely-unused) argument.
+
+https://bugzilla.gnome.org/show_bug.cgi?id=721700
+---
+
+This is a backport to v2.24.33 of upstream commit:
+
+https://gitlab.gnome.org/GNOME/gtk/-/commit/256561db2f0b34e01047f8882b3e0cb8c6d9dbab
+
+ gtk/tests/builder.c | 16 ++++++++--------
+ 1 file changed, 8 insertions(+), 8 deletions(-)
+
+diff --git a/gtk/tests/builder.c b/gtk/tests/builder.c
+index 8529dacc2f6e..23d5096062fa 100644
+--- a/gtk/tests/builder.c
++++ b/gtk/tests/builder.c
+@@ -132,7 +132,7 @@ static int object = 0;
+ static int object_after = 0;
+ 
+ void /* exported for GtkBuilder */
+-signal_normal (GtkWindow *window, GParamSpec spec)
++signal_normal (GtkWindow *window, GParamSpec *spec)
+ {
+   g_assert (GTK_IS_WINDOW (window));
+   g_assert (normal == 0);
+@@ -142,7 +142,7 @@ signal_normal (GtkWindow *window, GParamSpec spec)
+ }
+ 
+ void /* exported for GtkBuilder */
+-signal_after (GtkWindow *window, GParamSpec spec)
++signal_after (GtkWindow *window, GParamSpec *spec)
+ {
+   g_assert (GTK_IS_WINDOW (window));
+   g_assert (normal == 1);
+@@ -152,7 +152,7 @@ signal_after (GtkWindow *window, GParamSpec spec)
+ }
+ 
+ void /* exported for GtkBuilder */
+-signal_object (GtkButton *button, GParamSpec spec)
++signal_object (GtkButton *button, GParamSpec *spec)
+ {
+   g_assert (GTK_IS_BUTTON (button));
+   g_assert (object == 0);
+@@ -162,7 +162,7 @@ signal_object (GtkButton *button, GParamSpec spec)
+ }
+ 
+ void /* exported for GtkBuilder */
+-signal_object_after (GtkButton *button, GParamSpec spec)
++signal_object_after (GtkButton *button, GParamSpec *spec)
+ {
+   g_assert (GTK_IS_BUTTON (button));
+   g_assert (object == 1);
+@@ -172,28 +172,28 @@ signal_object_after (GtkButton *button, GParamSpec spec)
+ }
+ 
+ void /* exported for GtkBuilder */
+-signal_first (GtkButton *button, GParamSpec spec)
++signal_first (GtkButton *button, GParamSpec *spec)
+ {
+   g_assert (normal == 0);
+   normal = 10;
+ }
+ 
+ void /* exported for GtkBuilder */
+-signal_second (GtkButton *button, GParamSpec spec)
++signal_second (GtkButton *button, GParamSpec *spec)
+ {
+   g_assert (normal == 10);
+   normal = 20;
+ }
+ 
+ void /* exported for GtkBuilder */
+-signal_extra (GtkButton *button, GParamSpec spec)
++signal_extra (GtkButton *button, GParamSpec *spec)
+ {
+   g_assert (normal == 20);
+   normal = 30;
+ }
+ 
+ void /* exported for GtkBuilder */
+-signal_extra2 (GtkButton *button, GParamSpec spec)
++signal_extra2 (GtkButton *button, GParamSpec *spec)
+ {
+   g_assert (normal == 30);
+   normal = 40;




Acknowledgement sent to Thiago Jung Bauermann <bauermann@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#50521; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 12 Sep 2021 22:00:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.